
#include "MacroPatternMatch.h"

#include "OGDFColor.h"

#include "OGDFDPoint.h"

#include "STDCppString.h"

#include "OGDFDRect.h"

#include "OGDFGraph.h"

#include "OGDFNodeElement.h"

#include "OGDFEdgeElement.h"

#include "STDDeletable.h"

#include "ogdf/basic/GraphAttributes.h"

#include "OGDFGraphAttributes.h"

using namespace ogdf;

#define CHECKPROTECT(x,y) FXIS_PAREN(IS_ ## x ## _ ## y ## _PROTECTED)

#define TYPECASTMETHOD(cname,mname,oname) \
  FXIIF( CHECKPROTECT(cname,mname) ) ( \
  (from_nonconst_to_nonconst<oname,cname ## _t>), \
  (from_nonconst_to_nonconst<cname,cname ## _t>) )

DELETABLE_DEF_VIRT(GraphAttributes)
GRAPHATTRIBUTES_DEF_VIRT(GraphAttributes)
GRAPHATTRIBUTES_DEF_NONVIRT(GraphAttributes)
GRAPHATTRIBUTES_DEF_ACCESSOR(GraphAttributes)

